# == Defined Type: postfix::configure
#
# Apply the configuration to main.cf.  Notify postfix service on changes.
#
# === Parameters
#
# [*changes*]
#   Key-value pairs that will be applied as configuration variables in main.cf. Required.
#


define postfix::configure (
  $changes, # an array of hashes of key value pairs for main.cf
) {
  validate_hash($changes)

  include postfix

  augeas {
    "main.cf ${title}":
      require => Package['postfix'],
      notify  => Service['postfix'],
      context => '/files/etc/postfix/main.cf',
      changes => postfix_main_cf_changes($changes)
  }
}
